/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package ProjActMgmt.ProjActRequest;

import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class Project {
    public void makeProject() {
    }

    public void complete() {
    }

    public void cancel() {
    }

    public int rateUrgency() {
        return 0;
    }

    public BigDecimal calcTotalBalanceAcrossAccounts() {
        return new BigDecimal(0);
    }

    public Vector mi_listHierarchy() {
        return new Vector();
    }

    public Vector listAccounts() {
        return new Vector();
    }

    public static Vector listProjects() {
        return new Vector();
    }

    private String number;
    private String name;
    private int status;
    private int priority;
    private int interval;
    private String description;
    private int estimatedDuration;
    private BigDecimal estimatedCost;
    private BigDecimal budget;

    /**
     *@shapeType AggregationLink
     * @associates <b>Project</b>
     * @supplierCardinality 0..*
     * @supplierRole sub
     * @clientCardinality 0..1
     */
    private Vector lnkUnnamed11;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1
     */
    private ProjectActivityReq lnkUnnamed1;

    /** @supplierCardinality 1 */
    private IMakeProject lnkUnnamed2;

    /**
     * @supplierCardinality 0..*
     * @clientCardinality 1
     */
    private AccountingMgmt.Account.ProjectAccount lnkUnnamed;
}


